1.53 (16 February 2006)
   - Fixed _GuiCtrlListViewDeleteItem: Listview items can't be deleted after sorting. (gafrost)
 
1.52 (8 February 2006)
   - Fixed typo in _ArraySearch Helpfile. (theguy0000)
   - Fixed _ArraySort Local $t decleration. (gafrost)
   - Fixed _GUICtrlComboAutoComplete() move Variable definitions to the stat of the function. (gafrost)
   - Fixed _GuiCtrlStatusBarCreate : corrected variable declarations in the function. (gafrost)
   
1.51 (3 February 2006)
   - Changed _InetGetSource to return "" when error occurs.  (erebus)
   - Changed Dim to Local in GuiStatusBar.au3. (Jdeb)
   - Change _GuiCtrlStatusBarSetIcon that will allow removing the icon from normal status bar. (gafrost)
   - Added version at the top of each UDF file.
   
1.50 (20 January 2006)
   - Added _GUIStatusBar.au3 UDF's. (gafrost, rysiora, JdeB, tonedef, eltorro)
   - Added _GUICtrlComboGetList to GUICombo.au3 which retrieves all items in a combobox (Valik)
   - Fixed _INetSmtpMail() paramater variable name. (JPM)
   
1.49 (17 January 2006)
   - Fixed bug in _ArrayPush() when Direction 1 is specified. (AnnA)
   - Helpfile _ArraySearch example corrected. (Valuater)
   - Removed obsolete parameters from _GUICtrlTreeViewSelectItem(), Scripts need updating! (JdeB)
   - Fixed : _INetSmtpMail() (by JPM). (Thanks Wooltown, MikeOsdx)
   - Updated all UDFs to get rid of any Errors from Au3Check v 1.50 will All checks enabled.
   - Updated _ArrayDisplay() added Const to Byref of the first parameter. (Valik)
   - Fixed bug in _PathFull when using root of a drive. (Valik)

1.48 (7 January 2006)
   - Fixed : _PathFull() 2 bugs. (by Valik)
   - Fixed : _INetSmtpMail() @error 5 (by JPM). (Thanks Wooltown, MikeOsdx)
   - Fixed : _StringEncrypt error return. (Thanks JerryD)
   
1.47 (30 December 2005)
   - Fixed _DateTimeFormat() to return LongTime notation for $sType=0 as specified in the Helpfile. (JdeB)
   - Made Subject and Body optional in _InetSmtpMail().  (PartyPooper)
   
1.46 (21 December 2005)
   - Fixed doc for _FileReadToArray(). (LxP)
   - Fixed doc and Example for _ArraySearch. (Knight)
   - Fixed _ArraySearch return value in case not found to -1. (SolidSnake)
   - Added _InetSmtpMail to Inet.au3. (Walkabout)

1.45 (2 December 2005)
   - Fixed _PathSplit(). Changed Dim $array[5] to Local $array[5]. (LxP)
   - Updated _InetGetSource(), Remove stripping last character in return string. (w0uter)
   - Fixed return value in _GUICtrlTreeViewDeleteItem when item id passed in. (gafrost)
   - Updated GUI UDFs: Update Includes and Templates for use with external controls
     Meaning controlID for autoit control, control hWnd for external control
     Also replace all Dim statements with Local. (gafrost)

1.44 (25 November 2005)
   - Fixed _ReplaceStringInFile to avoid adding CRLF when missing at the EOF. (JdeB)
   - Added _ProcessGetName to Process.au3. (Erifash)

1.43 (18 November 2005)
   - Fixed _DateAdd() Typo's in helpfile. (Gene)
   - Updated _INetMail() with new logic to support environment variables. (JPM)
   - Updated _GUICtrlListViewDeleteItemsSelected() with Test for Array. (CatchFish) 
   - Added a Constant to GUIList.au3 and changed all examples. (gafrost)

1.42 (2 November 2005)
   - Updated _ArrayToString documentation, changed parameter order. (Josbe)
   - Updated _FileList2Array: removed checking for "." and ".." from the return from FileFindNextFile(). (SolidSnake)
   - Added _SetDate and _SetTime to Date.au3. (/dev/null)
   - Added _StringInsert to String.au3. (Celeri)
   - Fixed bug in the _GUICtrlListViewDeleteItem. (gafrost)
   
1.41 (10 October 2005)
   - Fixed BUG in _ReplaceStringInFile() always replacing multiple occurences on a single line. (Wooltown/LxP)
   - Added _GUICtrlListSelectIndex to GuiList.au3 for single select listbox's. (gafrost)

1.40 (5 October 2005)
   - Fixed error in _ArrayToString example. (/dev/null)
   - Changed _WeekNumberISO() to return the proper ISO weeknr. 
     Also removed startday parameter because ISO weeks always starts on Monday. (jdeb)
   - Added _DateToDayOfWeekISO which retruns the ISO day number. 0=Monday - 6= Sunday (jdeb)
   - Fixed bug in _GUICtrlListViewDeleteAllItems. (gafrost)

1.39 (27 September 2005)
   - Updated _InetGetSource. (w0uter)
   
1.38 (26 September 2005)
   - Fixed GUICtrlTreeViewDeleteItem() selection logic. (gafrost)
   - Fixed GUICtrlTreeViewSelectItem() but removed Helpfile info because function is obsolete. (gafrost)

1.37 (20 September 2005)
   - Added _FileWriteFromArray() to file.au3. (jdeb)
   - Updated _InetGetSource. (w0uter)
   - Updated _TempFile with optional parameters.  (hansh)
   - Fixed documentation for _FileListToArray. (mlazovjp/Dickb)
   - Some code optimization changes: GuiList, GuiTreeView, GuiEdit (gafrost)
   - Fixed logic issue with _GUICtrlListViewSetColumnOrder and _GUICtrlComboGetEditSel. (jdeb)
   - Fixed a few minor documentation issues.

1.36 (5 September 2005)
   - Updated _DateTimeFormat: Added option 5 which returns time in 24 hour HH:MM:SS format. (jdeb) 
   - Updated _NowTime: Added optional parameter to select the return format. (jdeb)
   - Fixed Documentation _MouseTrap()  (JPM)
   - Fixed _GUICtrlTreeViewDeleteItem bug in delete of item after adding child items. (gafrost)
   - Updated _StringToHex() and _HexToString() error testing. (JPM)
   - Updated Doc return Value formating. (JPM) 

1.35 (31 August 2005)
   - Fixed _IsPressed Example. (gafrost) 

1.34 (30 August 2005)
   - Fixed _ArraySearch example to point to Array.au3.
   - Updated _IsPressed Added optional param to function for those that will use 
     the function heavily they can pass a handle to the function for the dll.  (gafrost/w0uter)
   
1.33 (28 August 2005)
   - Updated _ProcessGetPriority script logic and fixed example.  (MSLx Fanboy)

1.32 (28 August 2005)
   - Updated _ProcessGetPriority script logic.  (MSLx Fanboy)
   - Added _IsPressed (Ezzetabi/Jon)
   - Updated Corrected return value for _MouseTrap if no params passed. (gafrost)
   - Added _GUICtrlComboAutoComplete (gafrost)
   - Restored correct example for _GUICtrlListViewGetItemText (jdeb)
   - Added _ArrayPush to Array.au3 (hgeras)   
   - Added _ArraySearch to Array.au3 (SolidSnake)
   - Added _ReplaceStringInFile to File.au3 (\dev\null)

1.31 (13 August 2005)
   - Updated _PathMake and _PathSplit documentation.
   - Updated _MouseTrap  (gafrost)
   - Updated _GUICtrlEditScroll: Added $SB_SCROLLCARET - Scrolls the caret into view. (gafrost)
   - Added _ProcessGetPriority to Process.au3  (MSLx Fanboy)
   - Added _FilePrint to File.au3 (Erifash)

1.30 (11 August 2005)
   - Fixed _DayValueToDate() to return Day and Month in the proper format.
   - Fixed _DateTimeFormat() to return HH:MM in proper 24 hour notation for $sType=0.

1.29 (5 August 2005)
   - Added _GUICtrlListViewCopyItems to GUIListView.au3. (gafrost)
   - Fixed source/documentation _INetGetSource
   - Added _MouseTrap to Misc.au3. (gafrost)
   - Fixed _GetIP and _RunDOS doc. (gafrost)
   - Added _Singleton to Misc.au3.
   - Fixed _GUICtrlListViewSort if no items in listview. (gafrost)

1.28 (19 July 2005)
   - Fixed _INetGetSource.au3 example (W0uter)
   - Fixed _FileReadToArray(): added StringStripCR to avoid @CR characters in the Array values. (jdeb)
   - Fixed _GUICtrlListViewDeleteItemsSelected was not working correctly (gafrost)

1.27 (17 July 2005)
   - Added _Radian() and _Degree() to Math.au3 (Erifash)
   - Added _FileList2Array.au3 to File.au3 (Solid)
   - Added _INetGetSource.au3 to Inet.au3 (W0uter)
   - Fixed documentation for _ArraySort() (jdeb)

1.26 (15 July 2005)
   - Bug Fixed: _GUICtrlListViewGetNextItem.  (gafrost)

1.25 (14 July 2005)
   - Bug Fixed: _GUICtrlListViewDeleteAllItems and _GUICtrlListViewDeleteItem 
     when _GUICtrlListViewInsertItem used to populate the ListView. (gafrost)

1.24 (13 July 2005)
   - Fixed _GUICtrlListViewGetNextItem.au3 example (gafrost)
   - Fixed _DateIsValid Documentation and Example.

1.23 (07 July 2005)
   - Updated _TimetoTicks: Made parameters optional defaulting to current time (slimshady)
   - Corrected Example for _GUICtrlTreeViewGetParentHandle (gafrost)
   - Added _GUICtrlTreeViewGetParentID to GuiTreeView (gafrost)

1.22 (05 July 2005)
   - Fixed variables already declared in examples for _GUICtrlTreeView??? (gafrost)
   - Added _GUICtrlTreeViewGetParentHandle  (gafrost)
   - Fixed variables already declared in string.au3 (jdeb)

1.21 (22 June 2005)
   - Fixed Dim for $h_Tree in _GUICtrlTreeViewItemGetTree. (gafrost)
   - Added variable passed in to _GUICtrlTreeViewItemGetTree 
     and changed example to refelect this change for seperator char. (gafrost)

1.20 (20 June 2005)
   - Removed the following functions from GuiListView.au3:  (gafrost)
     _GUICtrlListViewSetBkColor
     _GUICtrlListViewSetTextBkColor
     _GUICtrlListViewSetTextColorFixed
   - Fixed _GUICtrlTreeViewDeleteItem() to deleted more than 2 levels deep. (gafrost) 
   - Added GUICtrlTreeView.au3 UDF's (gafrost)

1.19 (10 June 2005)
   - Fixed some merge issues.

1.18 (9 June 2005)
   - Fixed descending sort issue in multi dimension arrays.
   - Fixed _GUICtrlListViewSort() top handle numeric values correctly. (gafrost) 
   - Renamed _GUICtrlListViewGetColumnOrderArray to _GUICtrlListViewGetColumnOrder
	  Also corrected documentation for _GUICtrlListViewGetColumnOrder. 
	  Returns a "|" delimited string instead of an array, now matches
	  the _GUICtrlListViewSetColumnOrder in the data type.   (gafrost)

1.17 (6 June 2005)
	- Added _GUICtrlSliderGetPos functions in GUISlider.au3  (gafrost)
   - Fixed _ArraySort lockup Bug.
   
1.16 (2 June 2005)
   - Fixed _ArraySort to cope with Mixed values and string entries.
	- Added _GUISlider??? functions in GUISlider.au3  (gafrost)
	- Added _GUICtrlListViewInsertColumn, _GUICtrlListViewInsertItem, _GUICtrlListViewJustifyColumn
	        _GUICtrlListViewSetColumnOrder, _GuiCtrlListViewSetItemCount, _GUICtrlListViewSort  (gafrost)

1.15 (24 May 2005)
   - Added 2 Functions to GuiListView.au3: _GUICtrlListViewSetItemSelState and 
	  _GUICtrlListViewSetItemText  (gafrost)
	- Fixed typo in _GUICtrlListViewGetExtendedListViewStyle helppage.
	- Fixed typo in _ViClose helppage.

1.14 (21 May 2005)
   - Fixed _GUICtrlListGetSelItems: returned array, was an array of string numbers 
	  now an array of numbers.  (gafrost)
   - Fixed _GUICtrlListViewGetSelectedIndices returned array, was an array of 
	  string numbers now an array of numbers. (gafrost)
   - Updated _GUICtrlListSetHorizontalExtent documentation. (gafrost)

1.13 (19 May 2005)
   - Added _GUICtrlListViewSetCheckState (gafrost)
   - Fixed _GUICtrlListViewGetCurSel: If more than 1 item in listview had same data was returning 
	  the index of the 1st instance, now correctly returns the index of item selected. (gafrost)
   - Added _GUICtrlMonthCal???? function located in GuiMonthCal.au3 (gafrost)
   
1.12 (12 May 2005)
   - Added _GUICtrlListViewGetCheckedState to GuiListView. (gafrost)
	- Update several Helpfile pages for the _GUI?? functions. (gafrost)
	- Update _ChooseColor.  (gafrost)
	- Updated _Now(),_NowDate(), _NowTime that it defauts to mm/dd/yyyy and hh:mm:ss when the 
	  pc's format isn't found in the registry (Win9X).

1.11 (8 May 2005)
   - Added GuiEdit.au3 which has a number of _GUIEdit??? functions for Edit controls. (gafrost)
	- Updated _ChooseColor, _ChooseFont and _GUI??? function due to DllStruct renaming. (gafrost)
	- Corrected wParam to variable name in _GUICtrlEditLineIndex.txt   (gafrost)
	- Fixed example and include for $CB_GETDROPPEDCONTROLRECT   (gafrost)
	- Type-0 in Example: _GUICtrlComboGetEditSel.au3    (gafrost)
	
1.10 (3 May 2005)
   - Fixed _GUICtrlComboSetHorizontalExtent.txt (gafrost)
   - Added _ChooseColor and _ChooseFont to Misc.au3 (gafrost)
   
1.09 (1 May 2005)
   - Added _GUITab Functions located in GuiTab.au3.  (gafrost)
   
1.08 (28 April 2005)
   - Fixed Example for _TickstoTime.au3.  
   - Fixed Fixed _ArrayTrim(): $iTrimDirection test.
   
1.07 (27 April 2005)
   - Renamed All Functions:_GUICtrlComBoBox to _GUICtrlComBo and  _GUICtrlListBox to _GUICtrlList (gafrost)
   - Fixed _DateSplit(), Fix another issue that was introduced with previous fix.
   - Fixed _DateDaysInMonth.au3 example , @Year and @Mon were swapped.
   - Fixed _DateToDayOfWeek.au3, contained a syntax error.
   
1.06 (26 April 2005)
   - Added _GUICtrlListView functions in GuiListView.au3. (gafrost)
   - Updated _GUICtrlComBoBox & _GUICtrlListBox Documentation and Functions. (gafrost)
   - Fixed _DateSplit(), adding seconds when missing in the input.

1.05 (24 April 2005)
   - Added _GUICtrlComBoBox functions in GuiComboBox.au3. (gafrost)
   - Added _GUICtrlListBox functions in GuiListBox.au3. (gafrost)
	- Replaced _ArraySort() with faster version from LazyCoder/Tylo
   - Fixed _GetIp() to work with the new page layout.
   - Added _PathFull(), _PathMake() and _PathSplit() to File.au3.

1.04 (25 February 2005)
	- Fixed _ArrayMaxIndex() and _ArrayMinIndex() to set to proper initial value. 
	- Fixed _ArraySort() issue with only 2 entries not being sorted. 
	- Fixed documentation and example for _ArrayToString()
	- Fixed DateAdd() line 84: change == to =
	- Updated DateSplit() to convert date/time portion to number
	- Fixed VISA.au3 from Peppe.

1.03 (6 February 2005)
	*** Updated all documentation to follow the standard used in the helpfile.
	
	Array.au3:
	- Updated many Array Function with optional parameters like $iBase.(See helpfile for detail)
	- Updated a couple of Function to make use of the new Redim function.
	- Added: _ArraySort()
	- Added: _ArrayTrim()
	- Added: _ArrayCreate()
	
	Date.au3: 
	- Added: _DateAdd, _DateDiff, _DateToDayValue, _DayValueToDate,
	         _DateTimeFormat, _DayOfWeek, _DateIsValid,
	         _Now(), Nowcalc(), Nowcalcdate(), _NowTime(),
	         _NowDate(),_DaysInMonth()_DaysOfWeek()
	
	File.au3:
	- Removed: _DirRemoveContents , obsolete, replaced by FileDelete() internal command.
	- Removed: _FileAppend , obsolete, replaced by FileWriteLine("Filename",) internal command.
	- Updated: _FileCountLines with a faster version created by Tylo.
	- Added:   _TempFile()

	Inet.au3 
	- Added: _INetExplorerCapable, _INetMail, _GetIp
	
	Math.au3:
	- Added:   _Ceil, _Floor, _MathCheckDiv, _MathCheckDiv
		
	Misc.au3:
	- Added:  _Iif()

	Process.au3:
	- Updated: _RunDos because the default quotes gave problems in Win9x.
	
	String.au3:
	- Added:  _StringProper(), _StringEncrypt(), _StringToHex(), HexToString()

   Visa.au3:
	- Added:  _viExecCommand,_viOpen, _viClose, _viFindGpib, _viSetTimeout, 
	          _viSetAttribute, _viGTL, _viGpibBusReset


1.02 (27 February 2004)
	- Added: _FileCountLines(), _DirRemoveContents()
	- Added: _DateDaysInMonth()
	- Added: _DateIsValidMonthNum(), _DateIsValidWeekdayNum(), _DateIsValidYear()
	- Added: _TimeIsValidHour(), _TimeIsValidMinute(), _TimeIsValidSecond()
	- Added: Usage syntax now included for documentation
	- Added: Documentation updates
	- Changed: _FileReadToArray() so it executes faster
	- Changed: (Internal) Enhanced the way the date/time functions operate
	- Changed: (Internal) File functions now use new file read/write syntax
	- Fixed: _RunDOS() to support executing DOS commands with spaces in the command


1.01 (5 February 2004)
	- Added: _ColorGetRed(), _ColorGetGreen(), _ColorGetBlue()
	- Added: _RunDOS()
	- Fixed: _TicksToTime() and _TimeToTicks()


1.00 (21 January 2004)
	- Initial release
